## python-ilorest 2.3.1%2B20180725%2Bds

=== debian/changelog ===
python-ilorest (2.3.1+20180725+ds-1) unstable; urgency=medium

  * initial upload (Closes: #903953)
  * []bbdb4b] New upstream version 2.3.1+20180725+ds
  * [7f38742] basic Debianization
  * [05cc4b5] adding a basic autopkgtest

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 25 Jul 2018 12:20:50 +0800
