=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

export PYBUILD_DESTDIR_python2=debian/python-ilorest
export PYBUILD_DESTDIR_python3=debian/python3-ilorest
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	rm -rf docs/themes
	mkdir docs/themes
	cd docs/themes && ln -s /usr/lib/python3/dist-packages/sphinx_rtd_theme
	dh_auto_build

override_dh_install:
	cd docs && make html
	dh_install
	mkdir debian/python-ilorest-doc/usr/share/doc/python-ilorest-doc/html/themes
