=== debian/tests/control ===
Tests: smoke
Depends: python3-ilorest
Restrictions: allow-stderr
