=== debian/watch ===
# watch file for kicad-symbols from KiCad
#

# opts= ...
# pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
# ...

version=4

opts="uversionmangle=s/\.-rc/~rc/;s/\.+$//, \
  dversionmangle=s/\+ds(\.?\d+)?$//" \
  https://github.com/HewlettPackard/python-ilorest-library/tags .*/v(\d+\.\d+\.\d+)(-rc\d)?\.tar\.[gx]z
