## python-ilorest 2.3.1+20180725+ds

=== requirements.txt ===
jsonpatch
jsonpath_rw
jsonpointer
validictory
urlparse2
six
