=== debian/changelog ===
python-ilorest (2.3.1+20180725+ds-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * [5d3d776] debian/gbp.conf: adjust to debian/stretch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 13 Sep 2018 18:10:23 +0200
