## python-ilorest 2.5.1+ds

=== debian/changelog ===
python-ilorest (2.5.1+ds-1ubuntu1) eoan; urgency=medium

  * d/control, d/rules: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 17 Sep 2019 16:27:42 +0200

python-ilorest (2.5.1+ds-1) unstable; urgency=medium

  * [bb0334c] New upstream version 2.5.1+ds

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 16 Jul 2019 10:01:09 -0300

python-ilorest (2.5.0+ds-1) unstable; urgency=medium

  * [bca0381] New upstream version 2.5.0+ds
    + Added http/socks proxy support
  * [8b85452] d/rules: enable library tests while build
  * [07cb570] d/control: bump Standards-Version to 4.4.0
    + No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 11 Jul 2019 12:19:54 +0200

python-ilorest (2.4.2+ds-1) unstable; urgency=medium

  * [9052da4] New upstream version 2.4.2+ds
    + Fixed error using urllib3
      see: https://github.com/HewlettPackard/python-ilorest-library/issues/46
    + Updated ex48_set_bios_password

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 19 May 2019 09:59:33 +0200

python-ilorest (2.4.1-1) unstable; urgency=medium

  * [a87a094] New upstream version 2.4.1
    + Updates to use urlib3
    + Updates to reflect generic Redfish implementations in RMC
    + Improved validation code
  * [cc0519e] d/control: bump Standards-Version to 4.3.0
    + No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 30 Mar 2019 08:05:37 +0100
