## python-ilorest 3.0.0+ds

=== debian/changelog ===
python-ilorest (3.0.0+ds-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports.
  * [a44561a] Revert "dh: move over to debhelper-compat"
  * [47354cc] Revert "d/control: adding Rules-Requires-Root: no"

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 16 Nov 2019 09:42:42 +0100

python-ilorest (3.0.0+ds-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 16 Nov 2019 09:30:25 +0100

python-ilorest (3.0.0+ds-1) unstable; urgency=medium

  * [2e3bc11] New upstream version 3.0.0+ds
    + Added support for urllib3's kwargs. (timeout, retires, etc.)
    + Changed the format to create a Redfish or Rest client from a function
      into a Class.
    + Refactored v1 and rmc.
  * [4b17301] d/control: bump Standards-Version to 4.4.1
    + No further changes needed.
  * [3666c4f] doc-base: remove iLO_sys1.jpg from list
    + This file isn't shipped and used any more.
  * [8069353] dh: move over to debhelper-compat
  * [35a0046] d/control: add ${sphinxdoc:Depends}
  * [d8b2c92] d/control: adding Rules-Requires-Root: no

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 13 Nov 2019 22:25:24 +0100

python-ilorest (2.5.2+ds-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 29 Sep 2019 16:47:14 +0200

python-ilorest (2.5.2+ds-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * [0df708e] Revert changes from unstable

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 29 Sep 2019 16:30:19 +0200

python-ilorest (2.5.2+ds-1) unstable; urgency=medium

  * [4a2e3b3] New upstream version 2.5.2+ds

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 15 Sep 2019 11:29:31 +0200

python-ilorest (2.5.1+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Removed Python 2 support (Closes: #937829).

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Sep 2019 13:56:55 +0200

python-ilorest (2.5.1+ds-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports.
  * [4e437db] d/control: use python3-urllib3 instad of -uritools
    + Make unit test also working on Stretch.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 31 Jul 2019 17:15:33 +0200

python-ilorest (2.5.1+ds-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 31 Jul 2019 13:15:10 +0200

python-ilorest (2.5.0+ds-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * [e95c70f] d/gbp.conf: adjust to debian/buster

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 31 Jul 2019 13:05:09 +0200
