=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 
 export PYBUILD_DESTDIR_python2=debian/python-ilorest
 export PYBUILD_DESTDIR_python3=debian/python3-ilorest
-export PYBUILD_DISABLE=test
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
