## python-ilorest 3.1.1%2Bds

=== debian/changelog ===
python-ilorest (3.1.1+ds-1) unstable; urgency=medium

  * [7bfe887] autopkg: mark current test superficial
    (Closes: #974508)
  * [38fb709] New upstream version 3.1.1+ds
    + Provided an option to input session_key for the REDfishClient class.
    + The iloaccounts command now provides the output in JSON format.
    + The createlogicaldrive quickdrive command now successfully runs.
    + BIOS and the poweron passwords can now be set without any password.
    + Fixed in this release:
      AHS data failing to download sometimes.
      An issue with downloading AHS when iLOREST is running locally on a
      server.
      The privilege modification of an iLO user account that was incorrectly
      applied on another user.
      The body of the onebuttonerase command, so that it could POST
      successfully.
  * [874c642] create patch queue from patchqueue branch
    + added patches:
      Correct-some-rst-syntax.patch
      Use-anonymous-reference-for-linking.patch
      resp_handler.py-check-verbosity-against-equality-of-1.patch
  * [b4c4532] d/control: bump Standards-Version to 4.5.1
    + No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 17 Nov 2020 19:58:05 +0100

python-ilorest (3.1.0+ds-1) unstable; urgency=medium

  * [3b4e97e] New upstream version 3.1.0+ds
    + Added more examples
      * flash_firmware_by_uefi.py
      * reset_server.py
      * set_syslogserver.py
      * upload_firmware_ilo_repository_with_compsig.py
    + Updated to support Restful Interface Tool 3.1.0
  * [465cf0b] d/control: bump debhelper-compat to 13
  * [6c571cb] d/control: bump Standards-Version to 4.5.0
    + No further changes needed.
  * [e1bd3e8] d/u/metadata: adding upstream metadata file

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 07 Oct 2020 12:29:04 +0200
