=== debian/changelog ===
python-ilorest (3.1.1+ds-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * [ed454d7] Revert "d/control: bump debhelper-compat to 13"

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 18 Nov 2020 18:14:18 +0100
