=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
  python,
  python-setuptools,
@@ -11,13 +11,14 @@
  python3-jsonpatch,
  python3-jsonpath-rw,
  python3-setuptools,
- python3-urllib3,
+ python3-uritools,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme,
  python3-sphinxcontrib.restbuilder,
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/tijuca/python-ilorest.git
 Vcs-Browser: https://salsa.debian.org/tijuca/python-ilorest
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/HewlettPackard/python-ilorest-library
 
 Package: python-ilorest-doc
