## python-ilorest 3.2.2+ds

=== requirements.txt ===
jsonpatch
jsonpath_rw
jsonpointer
urllib3
six
certifi
