=== debian/changelog ===
python-ilorest (3.2.2+ds-1) unstable; urgency=medium

  * [9e27c83] d/watch: Adjust watch logic
    + Upstream seems to rush the releases and is working a bit careless.
      The latest tag isn't containing the character 'v' in the release text,
      using 'git mode' now in uscan so it will detect new releases any way.
  * [64a9e6a] New upstream version 3.2.2+ds
  * [6e631b0] rebuild patch queue from patch-queue branch
    + added patch:
      debian-hacks/Make-examples-local-available.patch
      Remove-git-merge-cruft.patch
    + reworked patches (rebased):
      Add-missing-dependency-on-python-certifi.patch
      Correct-some-rst-syntax.patch
      Use-anonymous-reference-for-linking.patch
  * [3cc5925] python-ilorest-doc: Simplify sphinx installation stuff
    + Using dedicated override_dh_sphinxdoc that reduces the required sequencer
      files to a minimum. Also the amount of make targets in d/rules.
  * [12f37c6] python-ilorest-doc: Using sequencer file for examples
    + Using the option to let the examples sequencer defines the content to
      install.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 25 Jul 2021 17:32:34 +0200

python-ilorest (3.2.1+ds-2) unstable; urgency=medium

  * [14cc5a9] rebuild patch queue from patch-queue branch
    + added patches:
      Add-missing-dependency-on-python-certifi.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 28 Apr 2021 19:04:59 +0200

python-ilorest (3.2.1+ds-1) unstable; urgency=medium

  * [a3e2e23] New upstream version 3.2.1+ds
  * [f30fe74] rebuild patch queue from patch-queue branch
   + removed patch (included upstream):
     resp_handler.py-check-verbosity-against-equality-of-1.patch
  * [8df6cd5] d/copyright: Update years of contributions

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 24 Apr 2021 16:21:48 +0200
