## python-ilorest 3.5.0.0%2Bds

=== debian/changelog ===
python-ilorest (3.5.0.0+ds-1) unstable; urgency=medium

  * [bc6faf2] New upstream version 3.5.0.0+ds

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 30 Jan 2022 16:19:45 +0100

python-ilorest (3.3.0.0+ds-1) unstable; urgency=medium

  * [cdd05ff] d/watch: Adjust watch logic again
  * [62848dc] New upstream version 3.3.0.0+ds
  * [61c50c4] Rebuild patch queue from patch-queue branch
    + added patch:
      Fix-up-usage-of-dash-separated-key-in-setup.cfg.patch
      debian-hacks/Adjust-import-of-collections-module.patch
    + modified patch:
      Correct-some-rst-syntax.patch
  * [b6e9d3a] d/control: Bump Standards-Version to 4.6.0
    + No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 11 Dec 2021 07:31:16 +0100
