=== debian/watch ===
--- 
+++ 
@@ -12,4 +12,4 @@
       uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
       dversionmangle=s/\+ds(\.?\d+)?$//" \
 https://github.com/HewlettPackard/python-ilorest-library.git \
-refs/tags/(\d+\.\d+|\d+\.\d+\.\d+)
+      refs/tags/v(\d\S+)
