## python-ilorest 3.5.0.0+ds

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,8 @@
 Priority: optional
 Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
- python,
- python-setuptools,
  python3-all,
  python3-jsonpatch,
  python3-jsonpath-rw,
@@ -18,7 +16,7 @@
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/tijuca/python-ilorest.git
 Vcs-Browser: https://salsa.debian.org/tijuca/python-ilorest
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/HewlettPackard/python-ilorest-library
 
 Package: python-ilorest-doc
@@ -34,24 +32,6 @@
  .
  It contains also the examples from upstream that explain the usage of the
  library with dedicated examples.
-
-Package: python-ilorest
-Architecture: all
-Depends:
- ${misc:Depends},
- ${python:Depends},
-Description: RESTful API for HPE iLO and iLO Chassis Manager based HPE servers (Python2)
- HPE RESTful API for iLO is a RESTful application programming interface for the
- management of iLO and iLO Chassis Manager based HPE servers.
- .
- REST (Representational State Transfer) is a web based software architectural
- style consisting of a set of constraints that focuses on a system's resources.
- iLO REST library performs the basic HTTP operations GET, POST, PUT, PATCH and
- DELETE on resources using the HATEOAS (Hypermedia as the Engine of Application
- State) REST architecture. The API allows the clients to manage and interact
- with iLO through a fixed URL and several URIs.
- .
- This package contains the Python 2 version.
 
 Package: python3-ilorest
 Architecture: all
