## python-ilorest 3.5.1.0+ds

=== debian/changelog ===
python-ilorest (3.5.1.0+ds-1) unstable; urgency=medium

  * [f94ba78] New upstream version 3.5.1.0+ds
  * [bf1d6cf] d/control: Bump Standards-Version to 4.6.1
    + No further changes needed.
  * [d1f9c88] d/copyright: Update years of contributions

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 30 May 2022 20:00:39 +0200
