## python-ilorest 3.6.0.0%2Bds

=== debian/changelog ===
python-ilorest (3.6.0.0+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 07 Nov 2022 19:50:22 +0100

python-ilorest (3.6.0.0+ds-1) unstable; urgency=medium

  * [c3f8634] New upstream version 3.6.0.0
  * [4c8c56e] Rebuild patch queue from patch-queue branch
    + removed patches:
      Remove-git-merge-cruft.patch
      debian-hacks/Adjust-import-of-collections-module.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 09 Oct 2022 10:26:50 +0200

python-ilorest (3.5.1.0+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 05 Jun 2022 14:42:00 +0200

python-ilorest (3.5.0.0+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 05 Mar 2022 12:30:47 +0100

python-ilorest (3.3.0.0+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 01 Jan 2022 20:55:22 +0100

python-ilorest (3.2.2+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * [1eb0b9c] d/gbp.conf: Adjust to target bullseye

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 22 Aug 2021 13:07:57 +0200
