=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/tijuca/python-ilorest.git
 Vcs-Browser: https://salsa.debian.org/tijuca/python-ilorest
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/HewlettPackard/python-ilorest-library
 
 Package: python-ilorest-doc
