## python-ilorest 4.3.0.0+ds

=== debian/changelog ===
python-ilorest (4.3.0.0+ds-1) unstable; urgency=medium

  * [7e943b1] New upstream version 4.3.0.0+ds
  * [a0200c4] Revert "d/control: Add Built-Using to -doc package"
  * [15a0a0f] d/copyright: Update years of contributions
  * [804e1a8] d/watch: Add two more options

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 01 Jul 2023 08:28:34 +0200

python-ilorest (4.2.0.1+ds-1) unstable; urgency=medium

  * [2391ab0] New upstream version 4.2.0.1+ds
  * [cbb8ace] d/control: Add Built-Using to -doc package

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 15 Jun 2023 19:18:31 +0200

python-ilorest (4.1.0.0+ds-1) experimental; urgency=medium

  * [885fbf3] d/{control,rules}: Move over to dh-sequence-python3
  * [4e2d278] d/{control,rules}: Move to dh-sequence-sphinxdoc
  * [91e20ca] d/*: Don't try running dh_auto_tests
  * [d6d2e6c] New upstream version 4.1.0.0+ds
  * [85aec86] d/control: Bump Standards-Version to 4.6.2
    + No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 24 Apr 2023 20:35:31 +0200
