=== debian/watch ===
--- 
+++ 
@@ -8,6 +8,8 @@
 version=4
 
 opts="mode=git, \
+      pgpmode=none, \
+      repacksuffix=+ds, \
       filenamemangle=s/.+\/(\d\S*)\.tar\.gz/python-ilorest-library-$1.tar.gz/ \
       uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
       dversionmangle=s/\+ds(\.?\d+)?$//" \
