=== debian/changelog ===
python-ilorest (4.8.0.0+ds-1) unstable; urgency=medium

  * [f3e42d1] New upstream version 4.8.0.0+ds
  * [acdb704] Rebuild patch queue from patch-queue branch
    Added patch:
    upstream/ris.py-Use-raw-strings-for-all-regexes.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 03 Feb 2024 23:13:41 +0100

python-ilorest (4.7.0.0+ds-1) unstable; urgency=medium

  * [577fca9] New upstream version 4.7.0.0+ds

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 01 Jan 2024 11:43:48 +0100

python-ilorest (4.6.0.0+ds-1) unstable; urgency=medium

  * [94e69c7] New upstream version 4.6.0.0+ds

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 28 Oct 2023 05:45:28 +0200

python-ilorest (4.5.0.0+ds-1) unstable; urgency=medium

  * [0ac53b3] d/watch: Add compression type
  * [300beed] New upstream version 4.5.0.0+ds

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 01 Oct 2023 17:30:38 +0200
