## python-ilorest 4.8.0.0+ds

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,22 @@
 Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
+ pybuild-plugin-pyproject,
  python3-all,
- python3-jsonpatch,
- python3-jsonpath-rw,
+# python3-certifi <!nocheck>,
+ python3-jsonpatch <!nodoc>,
+ python3-jsonpath-rw <!nodoc>,
  python3-setuptools,
- python3-uritools,
+# python3-urllib3 <!nocheck>,
  python3-sphinx <!nodoc>,
- python3-sphinx-rtd-theme,
- python3-sphinxcontrib.restbuilder,
+ python3-sphinx-rtd-theme <!nodoc>,
+ python3-sphinxcontrib.restbuilder <!nodoc>,
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/tijuca/python-ilorest.git
 Vcs-Browser: https://salsa.debian.org/tijuca/python-ilorest
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/HewlettPackard/python-ilorest-library
 
 Package: python-ilorest-doc
